classification
Title: problem with installing python 2.7.8
Type: compile error Stage: resolved
Components: Installation Versions: Python 2.7
process
Status: closed Resolution: not a bug
Dependencies: Superseder:
Assigned To: Nosy List: elctr0, eric.smith, steve.dower, terry.reedy, zach.ware
Priority: normal Keywords:

Created on 2014-09-23 01:47 by elctr0, last changed 2014-09-26 17:47 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
Capture.JPG elctr0, 2014-09-23 01:47 screen shot
Capture2.JPG elctr0, 2014-09-23 22:40
Messages (11)
msg227319 - (view) Author: Khalid (elctr0) Date: 2014-09-23 01:47
when I'm installing python 2.7.8 I get error "there is a problem with this windows installer package. a DLL required for this install to complete could not be run". I'm using windows 8.1 64bit
msg227320 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2014-09-23 01:51
Where did you download the installer from?

How are you running the installer?
msg227321 - (view) Author: Khalid (elctr0) Date: 2014-09-23 02:00
Downloaded from official website & I run it by simply double click.  by the
way there is no run as admin
On Sep 23, 2014 4:51 AM, "Eric V. Smith" <report@bugs.python.org> wrote:

>
> Eric V. Smith added the comment:
>
> Where did you download the installer from?
>
> How are you running the installer?
>
> ----------
> nosy: +eric.smith
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue22466>
> _______________________________________
>
msg227371 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-09-23 18:26
Can you try running this command and then post the log file after installation fails:

> msiexec /l*vx log.txt /i "<path to .MSI>"
msg227397 - (view) Author: Khalid (elctr0) Date: 2014-09-23 22:40
I tried but I got this error "this installation package could not be
opened. verify that the package exists & that you can access it, or contact
the application vendor to verify that this is a valid windows installer
package" (screen shot in the attachment)

by the way I'm admin!

On Tue, Sep 23, 2014 at 9:26 PM, Steve Dower <report@bugs.python.org> wrote:

>
> Steve Dower added the comment:
>
> Can you try running this command and then post the log file after
> installation fails:
>
> > msiexec /l*vx log.txt /i "<path to .MSI>"
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue22466>
> _______________________________________
>
msg227399 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-09-23 23:50
You almost certainly have a corrupted download. I'd try downloading the installer again, perhaps with a different browser?
msg227402 - (view) Author: Khalid (elctr0) Date: 2014-09-24 00:55
I tried downloading installer by firefox,chrome & explorer with latest
update but still the same problem. I'm getting mad about why I can't get an
error log

On Wed, Sep 24, 2014 at 2:50 AM, Steve Dower <report@bugs.python.org> wrote:

>
> Steve Dower added the comment:
>
> You almost certainly have a corrupted download. I'd try downloading the
> installer again, perhaps with a different browser?
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue22466>
> _______________________________________
>
msg227404 - (view) Author: Khalid (elctr0) Date: 2014-09-24 01:21
I found a fix & this is the source
http://www.youtube.com/watch?v=KikshWVWhzg

but the question is did I make a security vulnerability?

On Wed, Sep 24, 2014 at 3:55 AM, Khalid <report@bugs.python.org> wrote:

>
> Khalid added the comment:
>
> I tried downloading installer by firefox,chrome & explorer with latest
> update but still the same problem. I'm getting mad about why I can't get an
> error log
>
> On Wed, Sep 24, 2014 at 2:50 AM, Steve Dower <report@bugs.python.org>
> wrote:
>
> >
> > Steve Dower added the comment:
> >
> > You almost certainly have a corrupted download. I'd try downloading the
> > installer again, perhaps with a different browser?
> >
> > ----------
> >
> > _______________________________________
> > Python tracker <report@bugs.python.org>
> > <http://bugs.python.org/issue22466>
> > _______________________________________
> >
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue22466>
> _______________________________________
>
msg227459 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-09-24 14:54
Ah, okay, so this is due to the embedded DLL in the installer that we extract and use to validate the install path (if you select a path that already exists, you get a prompt warning you).

I don't know why your %TEMP% directory was not read/write/execute, but since it works fine for most people I suspect a configuration issue on your machine. I have seen in the past some "security" policies that will break installers, though typically launching the installer from an elevated command prompt (one that says "Administrator: Command Prompt" in the title) typically avoids these issues.

Glad you found a workaround at least.
msg227642 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-09-26 17:42
Khalid, when responding by email, please delete the message you are responding to.

Steve, is there any reason to leave this open?  IE, do you plan to change the installer in response to this?
msg227643 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2014-09-26 17:47
Nope - closed.
History
Date User Action Args
2014-09-26 17:47:13steve.dowersetstatus: open -> closed
resolution: not a bug
messages: + msg227643

stage: resolved
2014-09-26 17:42:43terry.reedysetnosy: + terry.reedy
messages: + msg227642
2014-09-24 14:54:30steve.dowersetmessages: + msg227459
2014-09-24 01:21:51elctr0setmessages: + msg227404
2014-09-24 00:55:39elctr0setmessages: + msg227402
2014-09-23 23:50:39steve.dowersetmessages: + msg227399
2014-09-23 22:40:48elctr0setfiles: + Capture2.JPG

messages: + msg227397
2014-09-23 18:26:09steve.dowersetmessages: + msg227371
2014-09-23 18:21:16ned.deilysetnosy: + zach.ware, steve.dower
2014-09-23 02:00:01elctr0setmessages: + msg227321
2014-09-23 01:51:57eric.smithsetnosy: + eric.smith
messages: + msg227320
2014-09-23 01:47:55elctr0create